Skip to main content
`Ctrl`+`K`

# numpy.polynomial.laguerre.Laguerre.linspace

method

polynomial.laguerre.Laguerre.linspace(n=100, domain=None)

  Return x, y values at equally spaced points in domain.

  Returns the x, y values at n linearly spaced points across the domain. Here y is the value of the polynomial at the points x. By default the domain is the same as that of the series instance. This method is intended mostly as a plotting aid.

  Parameters:
    n int, optional

      Number of point pairs to return. The default value is 100.

    domain{None, array_like}, optional

      If not None, the specified domain is used instead of that of the calling instance. It should be of the form `[beg,end]`. The default is None which case the class domain is used.

  Returns:
    x, y ndarray

      x is equal to linspace(self.domain[0], self.domain[1], n) and y is the series evaluated at element of x.